List files
import requests
url = "https://api.memic.ai/api/v1/files"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.memic.ai/api/v1/files \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.memic.ai/api/v1/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"name": "<string>",
"original_filename": "<string>",
"size": 123,
"mime_type": "<string>",
"status": "uploading",
"total_chunks": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"total_embeddings": 0,
"embedding_dimension": 123,
"reference_id": "<string>",
"environment_id": "<string>",
"environment_slug": "<string>",
"folder_id": "<string>",
"folder_name": "<string>",
"file_metadata": {},
"estimated_remaining_time_seconds": 123,
"estimated_remaining_time_display": "<string>"
}
],
"total": 123,
"page": 123,
"page_size": 123,
"total_pages": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Endpoints
List files
Return a paginated list of files in the environment. Use the page and page_size query parameters to iterate.
GET
/
api
/
v1
/
files
List files
import requests
url = "https://api.memic.ai/api/v1/files"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.memic.ai/api/v1/files \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.memic.ai/api/v1/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"name": "<string>",
"original_filename": "<string>",
"size": 123,
"mime_type": "<string>",
"status": "uploading",
"total_chunks": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"total_embeddings": 0,
"embedding_dimension": 123,
"reference_id": "<string>",
"environment_id": "<string>",
"environment_slug": "<string>",
"folder_id": "<string>",
"folder_name": "<string>",
"file_metadata": {},
"estimated_remaining_time_seconds": 123,
"estimated_remaining_time_display": "<string>"
}
],
"total": 123,
"page": 123,
"page_size": 123,
"total_pages": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Memic API key. Every key is bound to exactly one environment — get one from the Memic dashboard under API Keys.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100